package domain


type AlibabaWdkItemMerchantstoreskuUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemMerchantstoreskuUpdateResult) SetSuccess(v bool) *AlibabaWdkItemMerchantstoreskuUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuUpdateResult) SetCode(v string) *AlibabaWdkItemMerchantstoreskuUpdateResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuUpdateResult) SetErrorCode(v string) *AlibabaWdkItemMerchantstoreskuUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemMerchantstoreskuUpdateResult {
    s.ErrorDesc = &v
    return s
}
